Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Interface IPdfObjectWrapper

All Known Subinterfaces:
  ILayerConfiguration, ILayerNode, IPdfNamedObjectWrapper

All Known Implementing Classes:
  Action, Annotation, AnnotationActions, Appearance, AppearanceCharacteristics, AppearanceCharacteristics.IconFitObject, AppearanceStates, Array, Article, ArticleElement, ArticleElements, Articles, Bookmark, Bookmarks, Border, ButtonField, CalColorSpace, CalGrayColor, CalGrayColorSpace, CalloutNote, CalloutNote.LineObject, CalRGBColor, CalRGBColorSpace, Caret, ChainedActions, CheckBox, ChoiceField, ChoiceItem, ChoiceItems, CIEBasedColorSpace, Color, ColorSpace, ColorSpaceResources, ComboBox, CompositeFont, Contents, Destination, DeviceCMYKColor, DeviceCMYKColorSpace, DeviceColor, DeviceColorSpace, DeviceGrayColor, DeviceGrayColorSpace, DeviceNColor, DeviceNColorSpace, DeviceRGBColor, DeviceRGBColorSpace, Document, DocumentActions, DoTransition, DualWidget, Ellipse, EmbeddedFile, ExtGState, ExtGStateResources, Field, FieldActions, Fields, FieldWidgets, FileAttachment, FileIdentifier, FileSpecification, Font, FontResources, Form, FormXObject, FullFileSpecification, Function, Functions, GoTo3dView, GoToDestination, GoToEmbedded, GoToEmbedded.PathElement, GoToFirstPage, GoToLastPage, GoToLocal, GoToNextPage, GoToNonLocal, GoToPreviousPage, GoToRemote, GoToThread, GoToURI, ICCBasedColorSpace, ImageXObject, ImportData, IndexedColor, IndexedColorSpace, Information, JavaScript, LabColor, LabColorSpace, LanguageIdentifier, Launch, Launch.WinTarget, Layer, LayerConfiguration, LayerDefinition, LayerEntity, LayerGroup, LayerMembership, Layers, LeveledColor, Line, Link, ListBox, LocalDestination, MediaClip, MediaClipData, MediaClipData.Viability, MediaClipSection, MediaOffset, MediaOffset.Frame, MediaOffset.Marker, MediaOffset.Time, MediaPlayer, MediaPlayers, MediaPlayParameters, MediaPlayParameters.Viability, MediaRendition, MediaScreenParameters, MediaScreenParameters.Viability, MediaScreenParameters.Viability.FloatingWindowParameters, Metadata, MMType1Font, Movie, Movie, NamedAction, NamedDestinations, NamedEmbeddedFiles, NamedJavaScripts, NamedRenditions, Names, NameTree, Note, NumberTree, Page, PageActions, PageAnnotations, PageArticleElements, PageElements, PageLabel, PageLabels, Pages, Pattern, PatternColorSpace, PatternResources, PdfObjectWrapper, PlayMovie, PlaySound, Polygon, Polyline, Popup, PropertyList, PropertyListResources, PushButton, RadioButton, Rectangle, Rectangle, RelatedFiles, RemoteDestination, Render, Rendition, Rendition.Viability, ResetForm, ResourceItems, Resources, RubberStamp, Screen, Scribble, SelectorRendition, SeparationColor, SeparationColorSpace, SetLayerState, SetLayerState.LayerStates, Shading, ShadingPattern, ShadingResources, Shape, SignatureField, SimpleFileSpecification, SimpleFont, SoftwareIdentifier, SoftwareIdentifier.Version, Sound, Sound, SpecialColorSpace, SpecialDeviceColorSpace, StandardType1Font, SubmitForm, TextField, TextMarkup, TilingPattern, TilingPattern.Colorized, ToggleVisibility, Transition, Tree, TrueTypeFont, Type0Font, Type0Function, Type1Font, Type2Font, Type2Function, Type3Font, Type3Function, Type4Function, VertexShape, ViewerPreferences, Widget, WidgetActions, XObject, XObjectResources

    public interface IPdfObjectWrapper

PDF object wrapper interface.

Since:
  0.1.1
Version:
  0.1.1, 06/08/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`PdfDirectObject` | `getBaseObject()` Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Method Detail

### getBaseObject

    PdfDirectObject getBaseObject()

  Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.